ApiGeo
List courier pickup points, optionally filtered by courier/state/city/service
AuthorizationBearer <token>
Project API key, fc_live_…. Keep keys out of public client code. The trusted Cloud playground accepts credentials temporarily in memory.
In: header
Query Parameters
country?string
Length
2 <= length <= 2Default
"DZ"courier?string
carrier?string
Deprecated alias for courier
state?string
Length
2 <= length <= 2city?string
service?string
Filter to pickups where services[service] === true, e.g. "stopdesk"
expand?string
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/geo/pickups"{ "data": [ { "id": "string", "courierId": "string", "carrier": "string", "externalId": "string", "name": "string", "locales": { "ar": "string", "fr": "string", "en": "string" }, "city": { "id": "string", "stateCode": "string", "name": "string" }, "address": "string", "phone": "string", "location": { "lat": 0, "lng": 0 }, "h3": "string", "services": { "property1": true, "property2": true }, "hours": { "property1": [ "string" ], "property2": [ "string" ] }, "active": true, "coverage": { "states": [ { "stateCode": "string", "wholeState": true } ], "cities": [ { "id": "string", "stateCode": "string", "name": "string" } ] } } ]}